package com.bytedance.ies.nle.editor_jni;

import X.C0176TLu;
import X.C0178TLw;
import X.C0180TLy;
import X.C0588Tbq;
import X.TM0;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class NLEVideoEncodeSettings {
    public transient boolean LIZ;
    public transient long LIZIZ;

    static {
        Covode.recordClassIndex(29901);
    }

    public void finalize() {
        LJJIL();
    }

    public final void LIZ(PairIntInt pairIntInt) {
        MethodCollector.i(16126);
        PairIntInt pairIntInt2 = pairIntInt;
        NLEMediaJniJNI.NLEVideoEncodeSettings_outputSize_set(this.LIZIZ, this, PairIntInt.LIZ(pairIntInt2), pairIntInt2);
        MethodCollector.o(16126);
    }

    public final void LIZ(String str) {
        MethodCollector.i(4492);
        NLEMediaJniJNI.NLEVideoEncodeSettings_externalSettingsJsonStr_set(this.LIZIZ, this, str);
        MethodCollector.o(4492);
    }

    public final void LIZ(C0588Tbq tbq) {
        MethodCollector.i(5218);
        NLEMediaJniJNI.NLEVideoEncodeSettings_swPreset_set(this.LIZIZ, this, tbq.swigValue());
        MethodCollector.o(5218);
    }

    public final void LIZ(boolean z) {
        MethodCollector.i(5481);
        NLEMediaJniJNI.NLEVideoEncodeSettings_isSupportHWEncoder_set(this.LIZIZ, this, z);
        MethodCollector.o(5481);
    }

    public final void LIZ(NLEWatermarkParam nLEWatermarkParam) {
        MethodCollector.i(6498);
        NLEWatermarkParam nLEWatermarkParam2 = nLEWatermarkParam;
        NLEMediaJniJNI.NLEVideoEncodeSettings_mWatermarkParam_set(this.LIZIZ, this, nLEWatermarkParam2.LIZ, nLEWatermarkParam2);
        MethodCollector.o(6498);
    }

    public final void LIZ(NLEVideoCompileEncodeSettings nLEVideoCompileEncodeSettings) {
        MethodCollector.i(7074);
        NLEVideoCompileEncodeSettings nLEVideoCompileEncodeSettings2 = nLEVideoCompileEncodeSettings;
        NLEMediaJniJNI.NLEVideoEncodeSettings_mVideoWatermarkCompileEncodeSetting_set(this.LIZIZ, this, NLEVideoCompileEncodeSettings.LIZ(nLEVideoCompileEncodeSettings2), nLEVideoCompileEncodeSettings2);
        MethodCollector.o(7074);
    }

    public final void LIZ(VecInt vecInt) {
        MethodCollector.i(9226);
        VecInt vecInt2 = vecInt;
        NLEMediaJniJNI.NLEVideoEncodeSettings_mKeyFramePoints_set(this.LIZIZ, this, vecInt2.LIZ, vecInt2);
        MethodCollector.o(9226);
    }

    public NLEVideoEncodeSettings() {
        this(NLEMediaJniJNI.new_NLEVideoEncodeSettings());
        MethodCollector.i(9964);
        MethodCollector.o(9964);
    }

    public final int LIZIZ() {
        MethodCollector.i(14996);
        int NLEVideoEncodeSettings_rotate_get = NLEMediaJniJNI.NLEVideoEncodeSettings_rotate_get(this.LIZIZ, this);
        MethodCollector.o(14996);
        return NLEVideoEncodeSettings_rotate_get;
    }

    public final int LIZJ() {
        MethodCollector.i(15391);
        int NLEVideoEncodeSettings_resizeMode_get = NLEMediaJniJNI.NLEVideoEncodeSettings_resizeMode_get(this.LIZIZ, this);
        MethodCollector.o(15391);
        return NLEVideoEncodeSettings_resizeMode_get;
    }

    public final float LIZLLL() {
        MethodCollector.i(15569);
        float NLEVideoEncodeSettings_resizeX_get = NLEMediaJniJNI.NLEVideoEncodeSettings_resizeX_get(this.LIZIZ, this);
        MethodCollector.o(15569);
        return NLEVideoEncodeSettings_resizeX_get;
    }

    public final float LJ() {
        MethodCollector.i(15571);
        float NLEVideoEncodeSettings_resizeY_get = NLEMediaJniJNI.NLEVideoEncodeSettings_resizeY_get(this.LIZIZ, this);
        MethodCollector.o(15571);
        return NLEVideoEncodeSettings_resizeY_get;
    }

    public final float LJFF() {
        MethodCollector.i(15958);
        float NLEVideoEncodeSettings_speed_get = NLEMediaJniJNI.NLEVideoEncodeSettings_speed_get(this.LIZIZ, this);
        MethodCollector.o(15958);
        return NLEVideoEncodeSettings_speed_get;
    }

    public final String LJIIIIZZ() {
        MethodCollector.i(4640);
        String NLEVideoEncodeSettings_externalSettingsJsonStr_get = NLEMediaJniJNI.NLEVideoEncodeSettings_externalSettingsJsonStr_get(this.LIZIZ, this);
        MethodCollector.o(4640);
        return NLEVideoEncodeSettings_externalSettingsJsonStr_get;
    }

    public final int LJIIJ() {
        MethodCollector.i(4786);
        int NLEVideoEncodeSettings_bps_get = NLEMediaJniJNI.NLEVideoEncodeSettings_bps_get(this.LIZIZ, this);
        MethodCollector.o(4786);
        return NLEVideoEncodeSettings_bps_get;
    }

    public final int LJIIJJI() {
        MethodCollector.i(4923);
        int NLEVideoEncodeSettings_swCRF_get = NLEMediaJniJNI.NLEVideoEncodeSettings_swCRF_get(this.LIZIZ, this);
        MethodCollector.o(4923);
        return NLEVideoEncodeSettings_swCRF_get;
    }

    public final int LJIIL() {
        MethodCollector.i(5061);
        int NLEVideoEncodeSettings_swQP_get = NLEMediaJniJNI.NLEVideoEncodeSettings_swQP_get(this.LIZIZ, this);
        MethodCollector.o(5061);
        return NLEVideoEncodeSettings_swQP_get;
    }

    public final int LJIILIIL() {
        MethodCollector.i(5138);
        int NLEVideoEncodeSettings_fps_get = NLEMediaJniJNI.NLEVideoEncodeSettings_fps_get(this.LIZIZ, this);
        MethodCollector.o(5138);
        return NLEVideoEncodeSettings_fps_get;
    }

    public final int LJIILJJIL() {
        MethodCollector.i(5213);
        int NLEVideoEncodeSettings_gopSize_get = NLEMediaJniJNI.NLEVideoEncodeSettings_gopSize_get(this.LIZIZ, this);
        MethodCollector.o(5213);
        return NLEVideoEncodeSettings_gopSize_get;
    }

    public final long LJIJ() {
        MethodCollector.i(5409);
        long NLEVideoEncodeSettings_swMaxrate_get = NLEMediaJniJNI.NLEVideoEncodeSettings_swMaxrate_get(this.LIZIZ, this);
        MethodCollector.o(5409);
        return NLEVideoEncodeSettings_swMaxrate_get;
    }

    public final boolean LJIJI() {
        MethodCollector.i(5555);
        boolean NLEVideoEncodeSettings_isSupportHWEncoder_get = NLEMediaJniJNI.NLEVideoEncodeSettings_isSupportHWEncoder_get(this.LIZIZ, this);
        MethodCollector.o(5555);
        return NLEVideoEncodeSettings_isSupportHWEncoder_get;
    }

    public final boolean LJIJJ() {
        MethodCollector.i(5640);
        boolean NLEVideoEncodeSettings_enableHwBufferEncode_get = NLEMediaJniJNI.NLEVideoEncodeSettings_enableHwBufferEncode_get(this.LIZIZ, this);
        MethodCollector.o(5640);
        return NLEVideoEncodeSettings_enableHwBufferEncode_get;
    }

    public final boolean LJIJJLI() {
        MethodCollector.i(5775);
        boolean NLEVideoEncodeSettings_enableByteVCRemuxVideo_get = NLEMediaJniJNI.NLEVideoEncodeSettings_enableByteVCRemuxVideo_get(this.LIZIZ, this);
        MethodCollector.o(5775);
        return NLEVideoEncodeSettings_enableByteVCRemuxVideo_get;
    }

    public final boolean LJIL() {
        MethodCollector.i(5839);
        boolean NLEVideoEncodeSettings_enableRemuxVideo_get = NLEMediaJniJNI.NLEVideoEncodeSettings_enableRemuxVideo_get(this.LIZIZ, this);
        MethodCollector.o(5839);
        return NLEVideoEncodeSettings_enableRemuxVideo_get;
    }

    public final boolean LJJ() {
        MethodCollector.i(5849);
        boolean NLEVideoEncodeSettings_enableRemuxVideoForRotation_get = NLEMediaJniJNI.NLEVideoEncodeSettings_enableRemuxVideoForRotation_get(this.LIZIZ, this);
        MethodCollector.o(5849);
        return NLEVideoEncodeSettings_enableRemuxVideoForRotation_get;
    }

    public final boolean LJJI() {
        MethodCollector.i(6061);
        boolean NLEVideoEncodeSettings_enableRemuxVideoForShoot_get = NLEMediaJniJNI.NLEVideoEncodeSettings_enableRemuxVideoForShoot_get(this.LIZIZ, this);
        MethodCollector.o(6061);
        return NLEVideoEncodeSettings_enableRemuxVideoForShoot_get;
    }

    public final int LJJIFFI() {
        MethodCollector.i(6157);
        int NLEVideoEncodeSettings_enableRemuxVideoRes_get = NLEMediaJniJNI.NLEVideoEncodeSettings_enableRemuxVideoRes_get(this.LIZIZ, this);
        MethodCollector.o(6157);
        return NLEVideoEncodeSettings_enableRemuxVideoRes_get;
    }

    public final boolean LJJII() {
        MethodCollector.i(6161);
        boolean NLEVideoEncodeSettings_enableInterLeave_get = NLEMediaJniJNI.NLEVideoEncodeSettings_enableInterLeave_get(this.LIZIZ, this);
        MethodCollector.o(6161);
        return NLEVideoEncodeSettings_enableInterLeave_get;
    }

    public final boolean LJJIII() {
        MethodCollector.i(6330);
        boolean NLEVideoEncodeSettings_hasBFrame_get = NLEMediaJniJNI.NLEVideoEncodeSettings_hasBFrame_get(this.LIZIZ, this);
        MethodCollector.o(6330);
        return NLEVideoEncodeSettings_hasBFrame_get;
    }

    public final boolean LJJIIJZLJL() {
        MethodCollector.i(7662);
        boolean NLEVideoEncodeSettings_mOptRemuxWithCopy_get = NLEMediaJniJNI.NLEVideoEncodeSettings_mOptRemuxWithCopy_get(this.LIZIZ, this);
        MethodCollector.o(7662);
        return NLEVideoEncodeSettings_mOptRemuxWithCopy_get;
    }

    public final String LJJIIZ() {
        MethodCollector.i(7666);
        String NLEVideoEncodeSettings_mDescription_get = NLEMediaJniJNI.NLEVideoEncodeSettings_mDescription_get(this.LIZIZ, this);
        MethodCollector.o(7666);
        return NLEVideoEncodeSettings_mDescription_get;
    }

    public final String LJJIIZI() {
        MethodCollector.i(7853);
        String NLEVideoEncodeSettings_mComment_get = NLEMediaJniJNI.NLEVideoEncodeSettings_mComment_get(this.LIZIZ, this);
        MethodCollector.o(7853);
        return NLEVideoEncodeSettings_mComment_get;
    }

    public final boolean LJJIJ() {
        MethodCollector.i(8271);
        boolean NLEVideoEncodeSettings_mCompileSoftInfo_get = NLEMediaJniJNI.NLEVideoEncodeSettings_mCompileSoftInfo_get(this.LIZIZ, this);
        MethodCollector.o(8271);
        return NLEVideoEncodeSettings_mCompileSoftInfo_get;
    }

    public final boolean LJJIJIIJI() {
        MethodCollector.i(8462);
        boolean NLEVideoEncodeSettings_mRecordingMp4_get = NLEMediaJniJNI.NLEVideoEncodeSettings_mRecordingMp4_get(this.LIZIZ, this);
        MethodCollector.o(8462);
        return NLEVideoEncodeSettings_mRecordingMp4_get;
    }

    public final boolean LJJIJIIJIL() {
        MethodCollector.i(8851);
        boolean NLEVideoEncodeSettings_mReEncodeOpt_get = NLEMediaJniJNI.NLEVideoEncodeSettings_mReEncodeOpt_get(this.LIZIZ, this);
        MethodCollector.o(8851);
        return NLEVideoEncodeSettings_mReEncodeOpt_get;
    }

    public final int LJJIJIL() {
        MethodCollector.i(9224);
        int NLEVideoEncodeSettings_mResolutionAlign_get = NLEMediaJniJNI.NLEVideoEncodeSettings_mResolutionAlign_get(this.LIZIZ, this);
        MethodCollector.o(9224);
        return NLEVideoEncodeSettings_mResolutionAlign_get;
    }

    public final boolean LJJIJLIJ() {
        MethodCollector.i(9617);
        boolean NLEVideoEncodeSettings_enableAvInterleave_get = NLEMediaJniJNI.NLEVideoEncodeSettings_enableAvInterleave_get(this.LIZIZ, this);
        MethodCollector.o(9617);
        return NLEVideoEncodeSettings_enableAvInterleave_get;
    }

    public final TM0 LIZ() {
        MethodCollector.i(9967);
        TM0 swigToEnum = TM0.swigToEnum(NLEMediaJniJNI.NLEVideoEncodeSettings_compileType_get(this.LIZIZ, this));
        MethodCollector.o(9967);
        return swigToEnum;
    }

    public final PairIntInt LJI() {
        MethodCollector.i(4334);
        long NLEVideoEncodeSettings_outputSize_get = NLEMediaJniJNI.NLEVideoEncodeSettings_outputSize_get(this.LIZIZ, this);
        if (NLEVideoEncodeSettings_outputSize_get == 0) {
            MethodCollector.o(4334);
            return null;
        }
        PairIntInt pairIntInt = new PairIntInt(NLEVideoEncodeSettings_outputSize_get, false);
        MethodCollector.o(4334);
        return pairIntInt;
    }

    public final PairIntInt LJII() {
        MethodCollector.i(4430);
        long NLEVideoEncodeSettings_watermarkSize_get = NLEMediaJniJNI.NLEVideoEncodeSettings_watermarkSize_get(this.LIZIZ, this);
        if (NLEVideoEncodeSettings_watermarkSize_get == 0) {
            MethodCollector.o(4430);
            return null;
        }
        PairIntInt pairIntInt = new PairIntInt(NLEVideoEncodeSettings_watermarkSize_get, false);
        MethodCollector.o(4430);
        return pairIntInt;
    }

    public final C0178TLw LJIIIZ() {
        MethodCollector.i(4712);
        C0178TLw swigToEnum = C0178TLw.swigToEnum(NLEMediaJniJNI.NLEVideoEncodeSettings_bitrateMode_get(this.LIZIZ, this));
        MethodCollector.o(4712);
        return swigToEnum;
    }

    public final C0588Tbq LJIILL() {
        MethodCollector.i(5282);
        C0588Tbq swigToEnum = C0588Tbq.swigToEnum(NLEMediaJniJNI.NLEVideoEncodeSettings_swPreset_get(this.LIZIZ, this));
        MethodCollector.o(5282);
        return swigToEnum;
    }

    public final C0176TLu LJIILLIIL() {
        MethodCollector.i(5391);
        C0176TLu swigToEnum = C0176TLu.swigToEnum(NLEMediaJniJNI.NLEVideoEncodeSettings_encodeStandard_get(this.LIZIZ, this));
        MethodCollector.o(5391);
        return swigToEnum;
    }

    public final C0180TLy LJIIZILJ() {
        MethodCollector.i(5405);
        C0180TLy swigToEnum = C0180TLy.swigToEnum(NLEMediaJniJNI.NLEVideoEncodeSettings_encodeProfile_get(this.LIZIZ, this));
        MethodCollector.o(5405);
        return swigToEnum;
    }

    public final NLEWatermarkParam LJJIIJ() {
        MethodCollector.i(6863);
        long NLEVideoEncodeSettings_mWatermarkParam_get = NLEMediaJniJNI.NLEVideoEncodeSettings_mWatermarkParam_get(this.LIZIZ, this);
        if (NLEVideoEncodeSettings_mWatermarkParam_get == 0) {
            MethodCollector.o(6863);
            return null;
        }
        NLEWatermarkParam nLEWatermarkParam = new NLEWatermarkParam(NLEVideoEncodeSettings_mWatermarkParam_get);
        MethodCollector.o(6863);
        return nLEWatermarkParam;
    }

    public final VecInt LJJIJL() {
        MethodCollector.i(9426);
        long NLEVideoEncodeSettings_mKeyFramePoints_get = NLEMediaJniJNI.NLEVideoEncodeSettings_mKeyFramePoints_get(this.LIZIZ, this);
        if (NLEVideoEncodeSettings_mKeyFramePoints_get == 0) {
            MethodCollector.o(9426);
            return null;
        }
        VecInt vecInt = new VecInt(NLEVideoEncodeSettings_mKeyFramePoints_get, false);
        MethodCollector.o(9426);
        return vecInt;
    }

    private synchronized void LJJIL() {
        MethodCollector.i(2760);
        long j = this.LIZIZ;
        if (j != 0) {
            if (this.LIZ) {
                this.LIZ = false;
                NLEMediaJniJNI.delete_NLEVideoEncodeSettings(j);
            }
            this.LIZIZ = 0;
        }
        MethodCollector.o(2760);
    }

    public static long LIZ(NLEVideoEncodeSettings nLEVideoEncodeSettings) {
        if (nLEVideoEncodeSettings == null) {
            return 0;
        }
        return nLEVideoEncodeSettings.LIZIZ;
    }

    public final void LIZ(float f) {
        MethodCollector.i(15392);
        NLEMediaJniJNI.NLEVideoEncodeSettings_resizeX_set(this.LIZIZ, this, f);
        MethodCollector.o(15392);
    }

    public final void LJI(int i) {
        MethodCollector.i(5206);
        NLEMediaJniJNI.NLEVideoEncodeSettings_gopSize_set(this.LIZIZ, this, i);
        MethodCollector.o(5206);
    }

    public final void LJII(int i) {
        MethodCollector.i(6106);
        NLEMediaJniJNI.NLEVideoEncodeSettings_enableRemuxVideoRes_set(this.LIZIZ, this, i);
        MethodCollector.o(6106);
    }

    public final void LJIIIZ(boolean z) {
        MethodCollector.i(8058);
        NLEMediaJniJNI.NLEVideoEncodeSettings_mCompileSoftInfo_set(this.LIZIZ, this, z);
        MethodCollector.o(8058);
    }

    public NLEVideoEncodeSettings(long j) {
        this.LIZ = true;
        this.LIZIZ = j;
    }

    public final void LIZIZ(float f) {
        MethodCollector.i(15570);
        NLEMediaJniJNI.NLEVideoEncodeSettings_resizeY_set(this.LIZIZ, this, f);
        MethodCollector.o(15570);
    }

    public final void LIZJ(float f) {
        MethodCollector.i(15770);
        NLEMediaJniJNI.NLEVideoEncodeSettings_speed_set(this.LIZIZ, this, f);
        MethodCollector.o(15770);
    }

    public final void LIZLLL(int i) {
        MethodCollector.i(4847);
        NLEMediaJniJNI.NLEVideoEncodeSettings_swCRF_set(this.LIZIZ, this, i);
        MethodCollector.o(4847);
    }

    public final void LJ(int i) {
        MethodCollector.i(5003);
        NLEMediaJniJNI.NLEVideoEncodeSettings_swQP_set(this.LIZIZ, this, i);
        MethodCollector.o(5003);
    }

    public final void LJFF(int i) {
        MethodCollector.i(5127);
        NLEMediaJniJNI.NLEVideoEncodeSettings_fps_set(this.LIZIZ, this, i);
        MethodCollector.o(5127);
    }

    public final void LJIIIIZZ(int i) {
        MethodCollector.i(9023);
        NLEMediaJniJNI.NLEVideoEncodeSettings_mResolutionAlign_set(this.LIZIZ, this, i);
        MethodCollector.o(9023);
    }

    public final void LJIIJ(boolean z) {
        MethodCollector.i(8460);
        NLEMediaJniJNI.NLEVideoEncodeSettings_mRecordingMp4_set(this.LIZIZ, this, z);
        MethodCollector.o(8460);
    }

    public final void LJIIJJI(boolean z) {
        MethodCollector.i(8645);
        NLEMediaJniJNI.NLEVideoEncodeSettings_mReEncodeOpt_set(this.LIZIZ, this, z);
        MethodCollector.o(8645);
    }

    public final void LJIIL(boolean z) {
        MethodCollector.i(9616);
        NLEMediaJniJNI.NLEVideoEncodeSettings_enableAvInterleave_set(this.LIZIZ, this, z);
        MethodCollector.o(9616);
    }

    public final void LIZ(int i) {
        MethodCollector.i(14995);
        NLEMediaJniJNI.NLEVideoEncodeSettings_rotate_set(this.LIZIZ, this, i);
        MethodCollector.o(14995);
    }

    public final void LIZIZ(int i) {
        MethodCollector.i(15203);
        NLEMediaJniJNI.NLEVideoEncodeSettings_resizeMode_set(this.LIZIZ, this, i);
        MethodCollector.o(15203);
    }

    public final void LIZJ(int i) {
        MethodCollector.i(4717);
        NLEMediaJniJNI.NLEVideoEncodeSettings_bps_set(this.LIZIZ, this, i);
        MethodCollector.o(4717);
    }

    public final void LIZLLL(boolean z) {
        MethodCollector.i(5778);
        NLEMediaJniJNI.NLEVideoEncodeSettings_enableRemuxVideo_set(this.LIZIZ, this, z);
        MethodCollector.o(5778);
    }

    public final void LJ(boolean z) {
        MethodCollector.i(5846);
        NLEMediaJniJNI.NLEVideoEncodeSettings_enableRemuxVideoForRotation_set(this.LIZIZ, this, z);
        MethodCollector.o(5846);
    }

    public final void LJFF(boolean z) {
        MethodCollector.i(5992);
        NLEMediaJniJNI.NLEVideoEncodeSettings_enableRemuxVideoForShoot_set(this.LIZIZ, this, z);
        MethodCollector.o(5992);
    }

    public final void LJI(boolean z) {
        MethodCollector.i(6159);
        NLEMediaJniJNI.NLEVideoEncodeSettings_enableInterLeave_set(this.LIZIZ, this, z);
        MethodCollector.o(6159);
    }

    public final void LJII(boolean z) {
        MethodCollector.i(6163);
        NLEMediaJniJNI.NLEVideoEncodeSettings_hasBFrame_set(this.LIZIZ, this, z);
        MethodCollector.o(6163);
    }

    public final void LJIIIIZZ(boolean z) {
        MethodCollector.i(7468);
        NLEMediaJniJNI.NLEVideoEncodeSettings_mOptRemuxWithCopy_set(this.LIZIZ, this, z);
        MethodCollector.o(7468);
    }

    public final void LIZ(long j) {
        MethodCollector.i(5407);
        NLEMediaJniJNI.NLEVideoEncodeSettings_swMaxrate_set(this.LIZIZ, this, j);
        MethodCollector.o(5407);
    }

    public final void LIZIZ(NLEVideoCompileEncodeSettings nLEVideoCompileEncodeSettings) {
        MethodCollector.i(7268);
        NLEVideoCompileEncodeSettings nLEVideoCompileEncodeSettings2 = nLEVideoCompileEncodeSettings;
        NLEMediaJniJNI.NLEVideoEncodeSettings_mVideoCompileEncodeSetting_set(this.LIZIZ, this, NLEVideoCompileEncodeSettings.LIZ(nLEVideoCompileEncodeSettings2), nLEVideoCompileEncodeSettings2);
        MethodCollector.o(7268);
    }

    public final void LIZJ(String str) {
        MethodCollector.i(7851);
        NLEMediaJniJNI.NLEVideoEncodeSettings_mComment_set(this.LIZIZ, this, str);
        MethodCollector.o(7851);
    }

    public final void LIZ(C0176TLu tLu) {
        MethodCollector.i(5335);
        NLEMediaJniJNI.NLEVideoEncodeSettings_encodeStandard_set(this.LIZIZ, this, tLu.swigValue());
        MethodCollector.o(5335);
    }

    public final void LIZIZ(PairIntInt pairIntInt) {
        MethodCollector.i(4346);
        PairIntInt pairIntInt2 = pairIntInt;
        NLEMediaJniJNI.NLEVideoEncodeSettings_watermarkSize_set(this.LIZIZ, this, PairIntInt.LIZ(pairIntInt2), pairIntInt2);
        MethodCollector.o(4346);
    }

    public final void LIZJ(boolean z) {
        MethodCollector.i(5711);
        NLEMediaJniJNI.NLEVideoEncodeSettings_enableByteVCRemuxVideo_set(this.LIZIZ, this, z);
        MethodCollector.o(5711);
    }

    public final void LIZ(C0178TLw tLw) {
        MethodCollector.i(4708);
        NLEMediaJniJNI.NLEVideoEncodeSettings_bitrateMode_set(this.LIZIZ, this, tLw.swigValue());
        MethodCollector.o(4708);
    }

    public final void LIZIZ(String str) {
        MethodCollector.i(7664);
        NLEMediaJniJNI.NLEVideoEncodeSettings_mDescription_set(this.LIZIZ, this, str);
        MethodCollector.o(7664);
    }

    public final void LIZ(C0180TLy tLy) {
        MethodCollector.i(5397);
        NLEMediaJniJNI.NLEVideoEncodeSettings_encodeProfile_set(this.LIZIZ, this, tLy.swigValue());
        MethodCollector.o(5397);
    }

    public final void LIZIZ(boolean z) {
        MethodCollector.i(5623);
        NLEMediaJniJNI.NLEVideoEncodeSettings_enableHwBufferEncode_set(this.LIZIZ, this, z);
        MethodCollector.o(5623);
    }

    public final void LIZ(TM0 tm0) {
        MethodCollector.i(9966);
        NLEMediaJniJNI.NLEVideoEncodeSettings_compileType_set(this.LIZIZ, this, tm0.swigValue());
        MethodCollector.o(9966);
    }
}
